# RPM specfile for gtkhtml module
# Generated Wed May 21 20:18:46 2003 GMT by Ximian build system
# $Id: bb_do,v 1.233 2003/05/12 02:06:07 thunder Exp $
# from 

%define nam	gtkhtml
%define ver	3.0.4
%define ximrev	1

Name:     	gtkhtml3.0
Version: 	3.0.4
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 9.1 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gtkhtml-3.0.4.tar.gz
BuildRequires:	intltool
BuildRequires:	libgal2.0_3-devel >= 1.99.6
BuildRequires:	libgnomeprintui2-2_0-devel
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Requires:	libgtkhtml3.0_2 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-gtkhtml3.0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files
%defattr(-, root, root)
/usr/lib/gtkhtml
/usr/share/gtkhtml-3.0
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/lib/bonobo/servers/*


%package -n libgtkhtml3.0_2-devel
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/Libraries
Requires:	gtkhtml3.0 = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	libgtkhtml3.0_2 = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	libgnomeprint2-2_0-devel
Requires:	libgnomeprintui2-2_0-devel
Requires:	libgal2.0_3-devel >= 1.99.6
Provides:	libgtkhtml3.0-devel = %{version}-%{release}
Provides:	gtkhtml3.0-devel = %{version}-%{release}
Provides:	ximian-libgtkhtml3.0_2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgtkhtml3.0_2-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n libgtkhtml3.0_2-devel
%defattr(-, root, root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/lib/pkgconfig/*.pc
/usr/include/*


%package -n libgtkhtml3.0_2
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	ximian-libgtkhtml3.0_2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgtkhtml3.0-0
Obsoletes:	libgtkhtml3.0_0
Obsoletes:	libgtkhtml3.0_1

%description -n libgtkhtml3.0_2
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -n libgtkhtml3.0_2
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/usr/lib/lib*.so.2*


%post -n libgtkhtml3.0_2
ldconfig

%postun -n libgtkhtml3.0_2
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkhtml-3.0.4
    ;;
all)
%setup  -q -n gtkhtml-3.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed May 21 2003 Ximian, Inc.

- Version: 3.0.4-0.ximian.6.1
- Summary: New build.
- New automated build.

* Tue May 6 2003 Ximian, Inc.

- Version: 3.0.3-0.ximian.1
- Summary: New build.
- New automated build.

